Subject: Re: bug#7351: 24.0.50; next-error no longer takes into account buffer modifications

From: Jan Djärv <[email-masked]>
Date: Thu, 11 Nov 2010 23:12:00 +0100

FWIW, I remember this feature also from 5-10 years ago.  But I hadn't noticed 
that it was gone now.

	Jan D.

Paul Pogonyshev skrev 2010-11-11 20.31:
> Glenn Morris wrote:
>> Paul Pogonyshev wrote:
>>
>>> I believe this used to work fine in past.
>>
>> Could you give a release of Emacs in which this works?
>>
>> I tried 21.4, 22.1, 22.2, 22.3, 23.1, and 23.2; and it didn't seem to
>> work in any of them.
>
> No.  I seem to recollect that at some point (certainly before 24.x
> development, maybe even before 23) I could fix a compilation error in
> a C file by adding/removing lines, and subsequent errors would still
> be found correctly, without any line offset.  Maybe it depends on
> actual error source, i.e. gcc vs. grep?  Then again, maybe I invented
> this whole story and my memory is failing...
>
> In the latter case, can this be requalified as a feature request?
>
> Paul
>
>